Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
transform.hpp File Reference

## Typedefs
template<typename I1 , typename I2 , typename O >
using | ranges::binary_transform_result = detail::in1_in2_out_result< I1, I2, O >
template<typename I , typename O >
using | ranges::unary_transform_result = detail::in_out_result< I, O >

## Functions
template<typename I , typename S , typename O , typename F , typename P = identity>
unary_transform_result< I, O > | ranges::transform (I first, S last, O out, F fun, P proj=P{})
| function template `transform` More...
template<typename I0 , typename S0 , typename I1 , typename O , typename F , typename P0 = identity, typename P1 = identity>
binary_transform_result< I0, I1, O > | ranges::transform (I0 begin0, S0 end0, I1 begin1, O out, F fun, P0 proj0=P0{}, P1 proj1=P1{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename I0 , typename S0 , typename I1 , typename S1 , typename O , typename F , typename P0 = identity, typename P1 = identity>
binary_transform_result< I0, I1, O > | ranges::transform (I0 begin0, S0 end0, I1 begin1, S1 end1, O out, F fun, P0 proj0=P0{}, P1 proj1=P1{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename Rng , typename O , typename F , typename P = identity>
unary_transform_result< borrowed_iterator_t< Rng >, O > | ranges::transform (Rng &&rng, O out, F fun, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename Rng0 , typename I1Ref , typename O , typename F , typename P0 = identity, typename P1 = identity>
binary_transform_result< borrowed_iterator_t< Rng0 >, uncvref_t< I1Ref >, O > | ranges::transform (Rng0 &&rng0, I1Ref &&begin1, O out, F fun, P0 proj0=P0{}, P1 proj1=P1{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename Rng0 , typename Rng1 , typename O , typename F , typename P0 = identity, typename P1 = identity>
binary_transform_result< borrowed_iterator_t< Rng0 >, borrowed_iterator_t< Rng1 >, O > | ranges::transform (Rng0 &&rng0, Rng1 &&rng1, O out, F fun, P0 proj0=P0{}, P1 proj1=P1{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...